# AcquisitionUnderstander 0.2.0
# (c) 2002-2004, Stefan H. Holek, stefan@epy.co.at
# http://zope.org/Members/shh/AcquisitionUnderstander
# License: ZPL
# Zope: 2.3.3 or higher

# This is Shane's Acquisition Understander packaged as a
# Zope product. Also see http://zope.org/Members/chrisw/showaq.

__doc__ = 'Acquisition Understander'
__version__ = '0.2.0'

__refresh_module__ = 0

UseUnderstanderPermission = 'Use Acquisition Understander'
UseUnderstanderDefaultRoles = ('Manager',)

try:
    from showaq import showaq

    from AccessControl.PermissionRole import PermissionRole
    UseUnderstanderRoles = PermissionRole(UseUnderstanderPermission, UseUnderstanderDefaultRoles)

    from OFS.SimpleItem import Item
    Item.showaq = showaq
    Item.showaq__roles__ = UseUnderstanderRoles

    from zLOG import LOG, INFO
    LOG('AcquisitionUnderstander', INFO, 'Applied patch version %s.' % __version__)
except:
    import traceback
    traceback.print_exc()


def initialize(context):
    # Register our permission
    from AccessControl.Permission import registerPermissions
    registerPermissions(((UseUnderstanderPermission, (), UseUnderstanderDefaultRoles),))

